#!/bin/sh

[ -z "$1" ] && exit

failed() {
  [ -f "$cloudApiConfig" ] && rm -f "$cloudApiConfig"
  exit
}

source /etc/ng-ap.conf

source $CONFIG/ap.conf
source $SCRIPT/utils/network.sh
source $SCRIPT/utils/token.sh
export CLOUD_ADDRESS="$1"

cloudApiConfig=`mktemp`

mac=`getWanMac`
wget -vt 3 -T 5 --retry-connrefused $(getAuthHeader) -O "$cloudApiConfig" "$CLOUD_ADDRESS/api.conf?mac=$mac"

[ ! -s "$cloudApiConfig" ] && failed

cat $cloudApiConfig | grep CLOUD_ADDRESS | grep "$CLOUD_ADDRESS"
[ $? -ne 0 ] && failed

mv "$cloudApiConfig" "$CONFIG/api.conf"

$SCRIPT/update/update-ng-config.sh
